Bug 428749 - /etc/X11/twm/system.twmrc not honored by twm
/etc/X11/twm/system.twmrc not honored by twm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-twm (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 17:30 EST by Chris Rainey
Modified: 2014-06-18 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:35:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My custom '.twmrc' (396 bytes, application/octet-stream)
2008-01-14 17:30 EST, Chris Rainey
no flags Details

  None (edit)
Description Chris Rainey 2008-01-14 17:30:18 EST
Description of problem:

Customizing the 'system.twmrc' file in the '/etc/X11/twm/' directory does _not_
effect system-wide authority over the behavior of '/usr/bin/twm'.  However, 'man
twm' gives priority to the following locations for parsing:

       $HOME/.twmrc.screennumber

       $HOME/.twmrc

       /usr/lib/X11/twm/system.twmrc

Even if a symlink is created from '/etc/X11/twm' --> '/usr/lib[64]/X11/', the
expected behavior is not achieved.

Behavior _is_ achieved by creating a '$HOME/.twmrc' file. [*not* ideal under
some circumstances]
Comment 1 Chris Rainey 2008-01-14 17:30:18 EST
Created attachment 291649 [details]
My custom '.twmrc'
Comment 2 Bug Zapper 2008-11-26 04:26:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 02:35:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.